org.apache.ignite.internal.util.worker

## Interface GridWorkerListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  GridWorkerListenerAdapter, WorkersRegistry

    public interface GridWorkerListener
    extends EventListener

This interface defines worker listener.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onStarted(GridWorker w)`
`void` `onStopped(GridWorker w)`

### Method Detail

#### onStarted

    void onStarted(GridWorker w)

Parameters:
  `w` - Started worker.

#### onStopped

    void onStopped(GridWorker w)

Parameters:
  `w` - Stopped worker.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018